"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.documentDeployment = exports.scanContextMap = void 0;
var context_map_scanner_mojo_1 = require("./context-map-scanner-mojo");
var context_map_deployment_documenter_mojo_1 = require("./context-map-deployment-documenter-mojo");
var readJson = require("read-package-json");
// Called from cli.js
function scanContextMap(parameters) {
    readPackageJson(parameters);
}
exports.scanContextMap = scanContextMap;
// Called from deployment.js
function documentDeployment(parameters) {
    var mojo = new context_map_deployment_documenter_mojo_1.ContextMapDeploymentDocumenterMojo(parameters);
    mojo.execute();
}
exports.documentDeployment = documentDeployment;
function readPackageJson(parameters) {
    readJson("./package.json", null, false, function (er, data) {
        var _a;
        if (er) {
            console.error("Error: There was an error reading package.json");
            return;
        }
        var key = null;
        if (!!parameters.key) {
            key = parameters.key;
        }
        else {
            key = (_a = data.contextmap) === null || _a === void 0 ? void 0 : _a.key;
        }
        if (!key) {
            console.error("Error: Please add a contextmap key to package.json or pass the key as parameter");
            return;
        }
        var source = [
            '!**/dist/**',
            '!**/node_modules/**',
            '!**/bin/**',
            '!**/build/**',
            '!**/assets/**',
            '**/*'
        ];
        if (!!parameters.source) {
            source = parameters.source;
        }
        var mojo = new context_map_scanner_mojo_1.ContextMapScannerMojo(key, source, parameters.componentName, parameters.systemName, parameters.host);
        mojo.execute();
    });
}
