import { ComponentType } from "../../model/component-type";
import { TechRadarEntry } from "../../model/tech-radar-entry";
import { Capability } from "../../model/capability";
export declare abstract class ConfigurationResource {
    abstract getKey(): string;
    abstract getHost(): string;
    abstract getComponentType(): ComponentType;
    abstract getAliases(): string[];
    abstract getName(): string;
    abstract getVersion(): string;
    abstract getSystemName(): string;
    abstract getDomainVisionStatement(): string;
    abstract getCapabilities(): Capability[];
    abstract getTeam(): string;
    abstract getOrganization(): string;
    abstract getTeamMail(): string;
    abstract getUrlDocumentation(): string;
    abstract getUrlVersionControl(): string;
    abstract getUrlIssueManagement(): string;
    abstract getUrlBuildPipeline(): string;
    abstract getDecisionRecordFilenameForOverview(): string;
    abstract getTechRadarEntries(): TechRadarEntry[];
}
